Page MenuHomePhabricator

[FastISel] fix a fallback diagnostic.
ClosedPublic

Authored by igorb on Jun 21 2017, 2:48 AM.

Details

Summary

FastISel was marked as failed in case instruction selection succeeded.

Diff Detail

Repository
rL LLVM

Event Timeline

igorb created this revision.Jun 21 2017, 2:48 AM
zvi edited edge metadata.Jul 5 2017, 11:55 AM

Is there a way to produce a test to cover this fix?

There's a test for the call side in r294970, and I added some tests in r299093, you can probably make either check the generic fastisel fallback diagnostic too?

But in general, it's probably time to replace the function-level fallback diagnostic with the remarks, now that we have both.

@bogner, @qcolombet: do you guys still use the function diagnostic?

igorb updated this revision to Diff 105379.Jul 6 2017, 12:58 AM
  • add tests. Thanks.
igorb added a reviewer: ab.Jul 6 2017, 12:59 AM
zvi accepted this revision.Jul 6 2017, 3:15 AM

LGTM

This revision is now accepted and ready to land.Jul 6 2017, 3:15 AM
This revision was automatically updated to reflect the committed changes.